Package org.eclipse.net4j.util.container.delegate

## Class ContainerList.DelegatingListIterator

- java.lang.Object
- - org.eclipse.net4j.util.container.delegate.AbstractDelegator.DelegatingIterator
  - - org.eclipse.net4j.util.container.delegate.ContainerList.DelegatingListIterator

- All Implemented Interfaces:
    `java.util.Iterator<E>`, `java.util.ListIterator<E>`
  Enclosing class:
    ContainerList<E>

      public class ContainerList.DelegatingListIterator
      extends AbstractDelegator.DelegatingIterator
      implements java.util.ListIterator<E>

  A delegating `list iterator`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator.DelegatingIterator

      `last`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingListIterator​(java.util.ListIterator<E> delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(E o)` |
    `java.util.ListIterator<E>` | `getDelegate()` |
    `boolean` | `hasPrevious()` |
    `int` | `nextIndex()` |
    `E` | `previous()` |
    `int` | `previousIndex()` |
    `void` | `set​(E o)` |

    - ### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator.DelegatingIterator

      `hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface java.util.ListIterator

      `hasNext, next, remove`

- - ### Constructor Detail

    - #### DelegatingListIterator

          public DelegatingListIterator​(java.util.ListIterator<E> delegate)

  - ### Method Detail

    - #### getDelegate

          public java.util.ListIterator<E> getDelegate()

      Overrides:
        `getDelegate` in class `AbstractDelegator.DelegatingIterator`

    - #### add

          public void add​(E o)

      Specified by:
        `add` in interface `java.util.ListIterator<E>`
      Category
        WRITE

    - #### set

          public void set​(E o)

      Specified by:
        `set` in interface `java.util.ListIterator<E>`
      Category
        WRITE

    - #### hasPrevious

          public boolean hasPrevious()

      Specified by:
        `hasPrevious` in interface `java.util.ListIterator<E>`
      Category
        READ

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `java.util.ListIterator<E>`
      Category
        READ

    - #### previous

          public E previous()

      Specified by:
        `previous` in interface `java.util.ListIterator<E>`
      Category
        READ

    - #### previousIndex

          public int previousIndex()

      Specified by:
        `previousIndex` in interface `java.util.ListIterator<E>`
      Category
        READ